Package com.independentsoft.office.odf.styles

# Class NumberEmbeddedText

java.lang.Object
com.independentsoft.office.odf.styles.NumberEmbeddedText

public class NumberEmbeddedText extends Object
Represents text that is displayed at one specific position within a number.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `NumberEmbeddedText()`
  Initializes a new instance of the NumberEmbeddedText class.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `NumberEmbeddedText`
  `clone()`
  Creates a new object that is a deep copy of the current instance.
  `int`
  `getPosition()`
  Gets the position where text appears.
  `String`
  `getText()`
  Gets the text that appears.
  `void`
  `setPosition​(int position)`
  Sets the position where text appears.
  `void`
  `setText​(String text)`
  Sets the text that appears.
  `String`
  `toString()`
  Converts the value of the current NumberEmbeddedText object to its equivalent string representation.

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### NumberEmbeddedText

    public NumberEmbeddedText()
    Initializes a new instance of the NumberEmbeddedText class.

- ## Method Details

  - ### clone

    public NumberEmbeddedText clone()
    Creates a new object that is a deep copy of the current instance.
    Overrides:
      `clone` in class `Object`
    Returns:
      A new object that is a copy of this instance.

  - ### toString

    public String toString()
    Converts the value of the current NumberEmbeddedText object to its equivalent string representation.
    Overrides:
      `toString` in class `Object`
    Returns:
      the string

  - ### getPosition

    public int getPosition()
    Gets the position where text appears.
    Returns:
      the position

  - ### setPosition

    public void setPosition​(int position)
    Sets the position where text appears.
    Parameters:
      `position` - the new position

  - ### getText

    public String getText()
    Gets the text that appears.
    Returns:
      the text

  - ### setText

    public void setText​(String text)
    Sets the text that appears.
    Parameters:
      `text` - the new text